
;-------------------------------------------------------------------------------

Const STATE_NULL    = 0
Const STATE_TITLE   = 1
Const STATE_SELECT  = 2
Const STATE_START   = 3
Const STATE_LEVEL   = 4
Const STATE_CRASH   = 5
Const STATE_FADEOUT = 6
Const STATE_GOAL    = 7
Const STATE_HIGH    = 8

Const COLLISION_LEVEL    = 1
Const COLLISION_PLAYER   = 2
Const COLLISION_HEALTH   = 3
Const COLLISION_COURSE   = 4
Const COLLISION_PARTICLE = 5

Const CONTROL_JOYSTICK = 0
Const CONTROL_KEYBOARD = 1

Const CAMERA_FOLLOW = 0
Const CAMERA_BESIDE = 1

;-------------------------------------------------------------------------------

Global max_distance = 512    ; Fog limit and distance to far clip plane.
Global max_altitude = 128    ; Terrain height

Global health_radius = 1
Global course_radius = 5
Global player_radius = 1.5

Global camera_dy# = 1.0
Global camera_dz# = 5.0

Global drag_coefficient#   = 0.1
Global lift_coefficient#   = 0.6
Global thrust_coefficient# = 0.8
Global health_coefficient# = 0.075
Global default_throttle#   = 0.4

;-------------------------------------------------------------------------------

Type Player
	Field entity
	Field camera
	Field propeller
	
	Field control_mode
	Field camera_mode
	Field propeller_rate#
	Field pitch_rate#
	Field roll_rate#
	Field yaw_rate#
	Field throttle#
	Field health#
	Field pitch#
	Field roll#
	Field yaw#
	
	Field X#
	Field Y#
	Field Z#
	Field VX#
	Field VY#
	Field VZ#
	
	Field curr_viewX#
	Field curr_viewY#
	Field curr_viewZ#
	Field dest_viewX#
	Field dest_viewY#
	Field dest_viewZ#
	
;	Field time0
;	Field time1
;	Field time2
;	Field time3
	Field starttime#
	Field lasttime#
	Field timer
	Field radar
	Field radarNorth
	Field radarPlane
End Type

;-------------------------------------------------------------------------------

Type Checkpoint
	Field entity
	Field X#
	Field Y#
	Field Z#
	Field angle#
	Field name$
	Field dest$
	Field radarpoint
End Type

Type Health
	Field balloon
	Field entity
	Field halo
	Field X#
	Field Y#
	Field Z#
	Field value#
End Type

Type Particle
	Field entity
	Field VX#
	Field VY#
	Field VZ#
	Field DP#
	Field DY#
	Field DR#
End Type

;-------------------------------------------------------------------------------

Global freeflight = False
Global selection  = 1

Global colon
Dim    number(9)
Dim    high_name$(4)
Dim    high_time#(4)
Global radarBG
Global radarPoint

Global shadow  ; Shadow texture applied to terrain
Global size    ; Total terrain size
Global overlay ; 2D sprite overlay

Global curr_state = STATE_NULL
Global next_state = STATE_NULL
Global prev_state = STATE_NULL

;-------------------------------------------------------------------------------